org.apache.mina.codec.delimited

## Class ThriftDynamicDecoder

- java.lang.Object
- - org.apache.mina.codec.delimited.SizePrefixedDecoder<ThriftDynamicMessageDecoder.ThriftSerializedMessage>
  - - org.apache.mina.codec.delimited.ThriftDynamicDecoder

All Implemented Interfaces:
  ProtocolDecoder<IoBuffer,ThriftDynamicMessageDecoder.ThriftSerializedMessage,SizePrefixedDecoder.MutableInt>

    public class ThriftDynamicDecoder
    extends SizePrefixedDecoder<ThriftDynamicMessageDecoder.ThriftSerializedMessage>

Author:
  Apache MINA Project

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.mina.codec.delimited.SizePrefixedDecoder

`SizePrefixedDecoder.MutableInt`

### Constructor Summary

Constructors
Constructor and Description
`ThriftDynamicDecoder()`

### Method Summary

Methods
`static <L extends org.apache.thrift.TBase<?,?>> ThriftDynamicDecoder` `newInstance()`

### Methods inherited from class org.apache.mina.codec.delimited.SizePrefixedDecoder

`createDecoderState, decode, finishDecode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ThriftDynamicDecoder

    public ThriftDynamicDecoder()
                         throws NoSuchMethodException

Throws:
  `NoSuchMethodException`

### Method Detail

#### newInstance

    public static <L extends org.apache.thrift.TBase<?,?>> ThriftDynamicDecoder newInstance()
                                            throws NoSuchMethodException

Throws:
  `NoSuchMethodException`